For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • POSTCancel transaction
      • POSTCapture transaction
      • POSTDeposit Transaction
      • POSTEstablish a new Transaction for authorization
      • GETGet transactions
      • POSTPreauthorize Transaction
      • POSTReclaim Transaction
      • POSTRefresh a transaction
      • POSTRefund Transaction
      • GETRetrieve a transaction
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APITransactions

Get transactions

|View as Markdown|Open in Claude|
GET
https://sandbox.trustly.one/api/v1/transactions
GET
/api/v1/transactions
$curl https://sandbox.trustly.one/api/v1/transactions \
> -u "<username>:<password>"
200Example
1{
2 "0": {
3 "transaction": {
4 "transactionId": "1006755981",
5 "transactionType": 1,
6 "payment": {
7 "paymentId": "1006755980",
8 "paymentType": 2,
9 "system": 1,
10 "country": "US",
11 "merchant": {
12 "merchantId": "1002463580"
13 },
14 "merchantReference": "ABCDE12345",
15 "merchantId": "1002463580",
16 "customer": {
17 "customerId": "1002580963",
18 "externalId": "4567890",
19 "merchantId": "1002463580",
20 "name": "Joe User",
21 "driverLicense": {
22 "number": "A1234567",
23 "state": "CA"
24 },
25 "taxId": "012345678",
26 "address": {
27 "address1": "2000 Broadway St",
28 "city": "Redwood City",
29 "state": "CA",
30 "zip": "94063",
31 "country": "US"
32 },
33 "phone": "+16505551212",
34 "email": "joe.user@mail.com",
35 "enrollDate": 1555696836548,
36 "createdAt": 1555696836548,
37 "updatedAt": 1555696836548
38 },
39 "fingerprint": "8ZqP5XmHvGT//Szf249Nj/mwh9c=",
40 "verification": {
41 "status": 3,
42 "mode": 4,
43 "verifyCustomer": false
44 },
45 "account": {
46 "name": "Demo Checking Account",
47 "type": 1,
48 "profile": -1,
49 "country": "US",
50 "accountNumber": "7833",
51 "routingNumber": "124003116",
52 "verified": false,
53 "verification": {
54 "verified": false,
55 "type": 1,
56 "hasEnoughFunds": false,
57 "verificationDate": 1619045543
58 },
59 "source": 1,
60 "token": "K0B14TQN7833",
61 "paymentProviderSubtype": 2000
62 },
63 "description": "Transaction",
64 "currency": "USD",
65 "amount": "0.00",
66 "paymentProvider": {
67 "paymentProviderId": "000000000",
68 "type": 2,
69 "subtype": 2000,
70 "name": "Demo Bank",
71 "country": "US",
72 "instantPayoutAvailable": false
73 },
74 "allowedPaymentProviderType": [
75 1,
76 2
77 ],
78 "paymentProviderSubtype": 2000,
79 "auth": {
80 "token": "1CRELKHFN90L",
81 "status": 2,
82 "message": "Authorized"
83 },
84 "authorization": "1CRELKHFN90L",
85 "authorizationStatus": 2,
86 "authorizationStatusMessage": "Authorized",
87 "pending": "10.00",
88 "paid": "20.00",
89 "refunded": "0.00",
90 "reversed": "0.00",
91 "balance": "20.00",
92 "createdAt": 1591995314674,
93 "updatedAt": 1591995486567,
94 "recordVersion": 9,
95 "paymentFlow": 79
96 },
97 "currency": "USD",
98 "amount": "0.00",
99 "pending": "0.00",
100 "paid": "0.00",
101 "refunded": "0.00",
102 "reversed": "0.00",
103 "balance": "0.00",
104 "paymentProviderTransaction": {
105 "paymentProviderTransactionId": "ptx-gOoNyq1MaeQ-kQIDTYxaZlTY-sbx",
106 "signature": "1CRELKHFN90L",
107 "status": "SW010"
108 },
109 "status": 2,
110 "statusMessage": "Authorized",
111 "ip": "10.0.0.1",
112 "createdAt": 1555629937054,
113 "processedAt": 1555629937054,
114 "completedAt": 1555629937054,
115 "updatedAt": 1555691427346,
116 "ppTrxId": "ptx-gOoNyq1MaeQ-kQIDTYxaZlTY-sbx",
117 "merchantReference": "ABCDE12345",
118 "automaticRepresentment": false,
119 "recordVersion": 3,
120 "instantPayoutSettle": false
121 }
122 }
123}
Returns a list of transactions. It can be paged and filtered by appending arguments to the query string of the request.
Was this page helpful?
Previous

Establish a new Transaction for authorization

Next

Preauthorize Transaction

Built with

Authentication

AuthorizationBasic

Query parameters

transactionTypelist of stringsOptional
Returns transactions of this Transaction Type. It is possible to filter by multiple values by repeating this argument.
transactionStatuslist of stringsOptional
Returns transactions that currently have this Transaction Status. It is possible to filter by multiple values by repeating this argument.
originalTransactionIdstringOptional
Returns transactions that belongs to this original transaction identifier.
payment.paymentIdstringOptional
Returns transactions of the payment specified by this payment ID.
payment.paymentTypelist of stringsOptional
Returns transactions of the payments of this Payment Type. It is possible to filter by multiple values by repeating this argument.
payment.merchantReferencestringOptional
Returns transactions of the payments associated with this merchant reference.
payment.verification.statusdoubleOptional
Returns transactions of the payments at this payment Verification Status.
paymentProviderTransaction.ppTrxStatusCodestringOptional
Returns transactions of the payment specified by this payment provider status code.
orderBystringOptional
Returns transactions by this order field
sortOrderstringOptional
Returns transactions by this sort order
startIndexstringOptional
Returns transactions from that offset
countstringOptional
Returns the maximum number of transactions specified by this field
amount.minstringOptional
Returns transactions for that minimum amount.
amount.maxstringOptional
Returns transactions for that maximum amount.
paid.minstringOptional
Returns transactions for that minimum paid.
paid.maxstringOptional
Returns transactions for that maximum paid.
refunded.minstringOptional
Returns transactions with this minimum refund amount.
refunded.maxstringOptional
Returns transactions with this maximum refund amount.
createdAt.startstringOptional
Returns transactions after this creation date
createdAt.endstringOptional
Returns transactions before this creation date
updatedAt.startstringOptional
Returns transactions after this update date
updatedAt.endstringOptional
Returns transactions before this update date
processedAt.startstringOptional
Returns transactions after this processing date
processedAt.endstringOptional
Returns transactions before this processing date
completedAt.startstringOptional
Returns transactions after this completion date
completedAt.endstringOptional
Returns transactions before this completion date
paymentProviderTransaction.paymentProviderTransactionIdstringOptional
Returns transactions of the payment specified by this payment provider id.
payment.descriptionstringOptional
Returns transactions with this payment description
payment.fingerprintstringOptional
Returns transactions with this payment fingerprint
payment.merchant.merchantIdstringOptional
Returns transactions of the payment specified by this merchant identification.
payment.paymentProvider.paymentProviderIdstringOptional
Returns transactions by this payment provider identification.
payment.authorization.statuslist of stringsOptional
Returns transactions of the payments at this payment Authorization Status.
payment.fiAccount.providerIdstringOptional
Returns transactions of the payment specified by this payment provider identification.
payment.fiAccount.accountNumberstringOptional
Returns transactions of the payment specified by account number.
payment.fiAccount.routingNumberstringOptional
Returns transactions of the payment specified by routing number.
payment.fiAccount.verifiedbooleanOptional
Returns transactions of the payment if account is verified.
ipAddrstringOptional
Returns transactions with this IP address
routingNumberstringOptional
Returns transactions with this routing number
accountNumberstringOptional
Returns transactions with this account number
customerNamestringOptional
Returns transactions with this customer name
payment.customer.namestringOptional
Returns transactions of the payment specified by customer name.
payment.customer.externalIdstringOptional
Returns transactions of the payment specified by customer external identification.
ignoreUserPortalTransactionsbooleanOptional
Returns transactions bypassing the portal user.
payment.paymentProvider.frameworkstringOptional
Returns transactions of the payment provider specified by framework.

Response

OK
transactionslist of objects